List Sync Runs
curl --request GET \
--url https://api.hightouch.com/api/v1/syncs/{syncId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/syncs/{syncId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/syncs/{syncId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/syncs/{syncId}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/syncs/{syncId}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/syncs/{syncId}/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/syncs/{syncId}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 42,
"startedAt": "2022-02-08T16:11:04.712Z",
"createdAt": "2022-02-08T16:11:04.712Z",
"finishedAt": "2022-02-08T16:11:11.698Z",
"querySize": 773,
"status": "success",
"completionRatio": 0.54,
"plannedRows": {
"addedCount": 773,
"changedCount": 0,
"removedCount": 0
},
"successfulRows": {
"addedCount": 773,
"changedCount": 0,
"removedCount": 0
},
"failedRows": {
"addedCount": 0,
"changedCount": 0,
"removedCount": 0
},
"error": null
},
{
"id": 43,
"startedAt": "2022-02-08T16:11:04.712Z",
"createdAt": "2022-02-08T17:44:05.198Z",
"finishedAt": "2022-02-08T17:44:25.366Z",
"querySize": 773,
"status": "success",
"completionRatio": 0.54,
"plannedRows": {
"addedCount": 0,
"changedCount": 765,
"removedCount": 0
},
"successfulRows": {
"addedCount": 0,
"changedCount": 765,
"removedCount": 0
},
"failedRows": {
"addedCount": 0,
"changedCount": 0,
"removedCount": 0
},
"error": null
}
],
"hasMore": false
}{
"message": "Validation failed",
"details": {}
}API Reference
List Sync Runs
List all sync runs under a sync
GET
/
syncs
/
{syncId}
/
runs
List Sync Runs
curl --request GET \
--url https://api.hightouch.com/api/v1/syncs/{syncId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/syncs/{syncId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/syncs/{syncId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/syncs/{syncId}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/syncs/{syncId}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/syncs/{syncId}/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/syncs/{syncId}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 42,
"startedAt": "2022-02-08T16:11:04.712Z",
"createdAt": "2022-02-08T16:11:04.712Z",
"finishedAt": "2022-02-08T16:11:11.698Z",
"querySize": 773,
"status": "success",
"completionRatio": 0.54,
"plannedRows": {
"addedCount": 773,
"changedCount": 0,
"removedCount": 0
},
"successfulRows": {
"addedCount": 773,
"changedCount": 0,
"removedCount": 0
},
"failedRows": {
"addedCount": 0,
"changedCount": 0,
"removedCount": 0
},
"error": null
},
{
"id": 43,
"startedAt": "2022-02-08T16:11:04.712Z",
"createdAt": "2022-02-08T17:44:05.198Z",
"finishedAt": "2022-02-08T17:44:25.366Z",
"querySize": 773,
"status": "success",
"completionRatio": 0.54,
"plannedRows": {
"addedCount": 0,
"changedCount": 765,
"removedCount": 0
},
"successfulRows": {
"addedCount": 0,
"changedCount": 765,
"removedCount": 0
},
"failedRows": {
"addedCount": 0,
"changedCount": 0,
"removedCount": 0
},
"error": null
}
],
"hasMore": false
}{
"message": "Validation failed",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
query for specific run id
select sync runs that are started after given ISO timestamp
select sync runs that are started before certain ISO timestamp
select sync runs that are started within last given minutes
set the offset on results (for pagination)
limit the number of objects returned (default is 100)
specify the order
Available options:
id, createdAt, startedAt, finishedAt Was this page helpful?